Loading...
Searching...
No Matches
multitypeblockvector.hh File Reference
`#include <cmath>`
`#include <iostream>`
`#include <tuple>`
`#include <dune/common/dotproduct.hh>`
`#include <dune/common/ftraits.hh>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/std/type_traits.hh>`
`#include "istlexception.hh"`
`#include "gsetc.hh"`

Go to the source code of this file.

## Classes

struct | Dune::FieldTraits< MultiTypeBlockVector< Args... > >
class | Dune::MultiTypeBlockVector< Args >
| A Vector class to support different block types. More...
struct | std::tuple_element< i, Dune::MultiTypeBlockVector< Args... > >
| Make std::tuple_element work for MultiTypeBlockVector. More...
struct | std::tuple_size< Dune::MultiTypeBlockVector< Args... > >
| Make std::tuple_size work for MultiTypeBlockVector. More...

## Namespaces

namespace | Dune
namespace | std
| STL namespace.

## Functions

template<typename... Args>
std::ostream & | Dune::operator<< (std::ostream &s, const MultiTypeBlockVector< Args... > &v)
| Send MultiTypeBlockVector to an outstream.